summaryrefslogtreecommitdiff
path: root/xslt-config.in
diff options
context:
space:
mode:
authorDaniel Veillard <veillard@src.gnome.org>2001-01-07 14:01:28 +0000
committerDaniel Veillard <veillard@src.gnome.org>2001-01-07 14:01:28 +0000
commit6f5e152012186758087a2eead15199e795f8e192 (patch)
tree36df1a9259ec43df426ee322bc5408d111e6eddd /xslt-config.in
parent8a5bfd81e5b31731172e3cb21136f6ac517299c6 (diff)
downloadlibxslt-6f5e152012186758087a2eead15199e795f8e192.tar.gz
libxslt-6f5e152012186758087a2eead15199e795f8e192.tar.bz2
libxslt-6f5e152012186758087a2eead15199e795f8e192.zip
Initial revision
Diffstat (limited to 'xslt-config.in')
-rw-r--r--xslt-config.in127
1 files changed, 127 insertions, 0 deletions
diff --git a/xslt-config.in b/xslt-config.in
new file mode 100644
index 00000000..b66fb31f
--- /dev/null
+++ b/xslt-config.in
@@ -0,0 +1,127 @@
+#! /bin/sh
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec_prefix_set=no
+includedir=@includedir@
+libdir=@libdir@
+
+usage()
+{
+ cat <<EOF
+Usage: xslt-config [OPTION]...
+
+Known values for OPTION are:
+
+ --prefix=DIR change XSLT prefix [default $prefix]
+ --exec-prefix=DIR change XSLT executable prefix [default $exec_prefix]
+ --libs print library linking information
+ --cflags print pre-processor and compiler flags
+ --help display this help and exit
+ --version output version information
+EOF
+
+ exit $1
+}
+
+if test $# -eq 0; then
+ usage 1
+fi
+
+cflags=false
+libs=false
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case "$1" in
+ --prefix=*)
+ prefix=$optarg
+ if test $exec_prefix_set = no ; then
+ exec_prefix=$optarg
+ fi
+ ;;
+
+ --prefix)
+ echo $prefix
+ ;;
+
+ --exec-prefix=*)
+ exec_prefix=$optarg
+ exec_prefix_set=yes
+ ;;
+
+ --exec-prefix)
+ echo $exec_prefix
+ ;;
+
+ --version)
+ echo @VERSION@
+ exit 0
+ ;;
+
+ --help)
+ usage 0
+ ;;
+
+ --cflags)
+ cflags=true
+ ;;
+
+ --libs)
+ libs=true
+ ;;
+
+ *)
+ usage
+ exit 1
+ ;;
+ esac
+ shift
+done
+
+the_libs="$the_libs -L$libdir -lxslt `@XML_CONFIG@ --libs`"
+the_flags="$the_flags -I$includedir `@XML_CONFIG@ --cflags`"
+
+if $cflags; then
+ all_flags="$the_flags"
+fi
+
+if $libs; then
+ all_flags="$all_flags $services $the_libs"
+fi
+
+if test -z "$all_flags" || test "x$all_flags" = "x "; then
+ exit 1
+fi
+
+# Straight out any possible duplicates, but be careful to
+# get `-lfoo -lbar -lbaz' for `-lfoo -lbaz -lbar -lbaz'
+other_flags=
+rev_libs=
+for i in $all_flags; do
+ case "$i" in
+ # a library, save it for later, in reverse order
+ -l*) rev_libs="$i $rev_libs" ;;
+ *)
+ case " $other_flags " in
+ *\ $i\ *) ;; # already there
+ *) other_flags="$other_flags $i" ;; # add it to output
+ esac ;;
+ esac
+done
+
+ord_libs=
+for i in $rev_libs; do
+ case " $ord_libs " in
+ *\ $i\ *) ;; # already there
+ *) ord_libs="$i $ord_libs" ;; # add it to output in reverse order
+ esac
+done
+
+echo $other_flags $ord_libs
+
+exit 0